Bug 377591 - (CVE-2007-5908) CVE-2007-5908 Buffer overflow in the (1) sysfs_show_available_clocksources and (2) sysfs_show_current_clocksources functions in Linux kernel
CVE-2007-5908 Buffer overflow in the (1) sysfs_show_available_clocksources an...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Jones
impact=important,source=lkml&&cve,rep...
: Security
Depends On: 378351 378361
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 06:31 EST by Jan Lieskovsky
Modified: 2015-01-04 17:30 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 06:28:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2007-11-12 06:31:29 EST
Description of problem:

Buffer overflow in the (1) sysfs_show_available_clocksources and (2)
sysfs_show_current_clocksources functions in Linux kernel 2.6.23 and
earlier might allow local users to cause a denial of service or
execute arbitrary code via crafted clock source names. (CVE-2007-5908).

Public via: 

http://marc.info/?l=linux-kernel&m=119451922608530&w=2
Comment 3 Chuck Ebbert 2007-11-12 15:56:51 EST
This does not look like it can actually happen. The list of available
clocksources is very short and they all have short names.
Comment 4 Eric Sandeen 2007-11-30 00:31:21 EST
So far looks like nothing committed upstream on this one, either.
Comment 5 Jan Lieskovsky 2007-11-30 08:20:05 EST
Re: c#3: Chuck so this means, you don't want to fix this one? 
Comment 6 Jan Lieskovsky 2007-11-30 08:21:02 EST
Re: c#4: Eric, maybe you could initiate the commit to RH kernel mailing list?
Comment 7 Jan Lieskovsky 2008-03-12 06:28:10 EDT
Based on c#3 and further investigation closing this one as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.